<?php

$languageNames = [

	/* Not in CLDR 27.0.1. Balochi language
	 * https://www.ethnologue.com/language/bcc
	 * Added 2008-07-02.
	 */
	'bcc' => 'Southern Balochi',

	/* Not in CLDR 27.0.1. Eastern Balochi language
	 * http://www.ethnologue.com/language/bgp
	 */
	'bgp' => 'Eastern Balochi',

	/* Not in CLDR 27.0.1. Western Cham language
	* https://www.ethnologue.com/language/cja
	*/
	'cja' => 'Western Cham',
	'cja-cham' => 'Western Cham (Cham script)',
	'cja-latn' => 'Western Cham (Latin script)',
	'cja-arab' => 'Western Cham (Arabic script)',

	/* Not in CLDR 27.0.1. Eastern Cham language
	* https://www.ethnologue.com/language/cjm
	*/
	'cjm' => 'Eastern Cham',
	'cjm-cham' => 'Eastern Cham (Cham script)',
	'cjm-latn' => 'Eastern Cham (Latin script)',
	'cjm-arab' => 'Eastern Cham (Arabic script)',

	/* Not in CLDR 27.0.1. Jinyu language
	 * https://www.ethnologue.com/language/cjy
	 */
	'cjy' => 'Jinyu',
	'cjy-hans' => 'Jinyu (Simplified)',
	'cjy-hant' => 'Jinyu (Traditional)',

	/* Not in CLDR 27.0.1. Swedish language
	 * https://www.ethnologue.com/language/dlc
	 * Added 2008-02-16.
	 */
	'dlc' => 'Dalecarlian',

	/* Not in CLDR 27.0.1. Romance language.
	 * https://www.ethnologue.com/language/eml
	 * Added 2008-01-17.
	 */
	'eml' => 'Emiliano-Romagnolo',

	/* Not in CLDR 27.0.1. Konkani language
	 * https://www.ethnologue.com/language/gom
	 * Added 2008-09-02.
	 */
	'gom-deva' => 'Goan Konkani (Devanagari script)',
	'gom-latn' => 'Goan Konkani (Latin script)',

	/* Not in CLDR 27.0.1. Maharashtrian Konkani language
	 * https://www.ethnologue.com/language/knn
	 */
	'knn' => 'Maharashtrian Konkani',

	/* Not in CLDR 27.0.1. Laki language
	 * https://www.ethnologue.com/language/lki
	 */
	'lki' => 'Laki',

	/* Not in CLDR 27.0.1. Southern Luri language
	 * https://www.ethnologue.com/language/luz
	 */
	'luz' => 'Southern Luri',

	/* Not in CLDR 27.0.1. Mari language
	 * https://www.ethnologue.com/language/mhr
	 * Added 2008-05-22.
	 */
	'mhr' => 'Eastern Mari',

	/* Not in CLDR 27.0.1. Malay language
	 * https://www.ethnologue.com/language/mui
	 * Added 2010-02-11.
	 */
	'mui' => 'Musi',

	/* Not in CLDR 27.0.1. Livvi-Karelian language
	 * https://www.ethnologue.com/language/olo
	 */
	'olo' => 'Livvi-Karelian',

	/* Not in CLDR 27.0.1. Lahnda language.
	 * https://www.ethnologue.com/language/pnb
	 * Added 2008-10-29.
	 */
	'pnb' => 'Western Punjabi',

	/* Not in CLDR 27.0.1. Dari language.
	 * https://www.ethnologue.com/language/prs
	 */
	'prs' => 'Dari',

	/* Not in CLDR 27.0.1. Eastern Romance language.
	 * https://www.ethnologue.com/language/ruq
	 * Added 2008-02-04.
	 */
	'ruq' => 'Megleno-Romanian',
	'ruq-cyrl' => 'Megleno-Romanian (Cyrillic script)',
	'ruq-grek' => 'Megleno-Romanian (Greek script)',
	'ruq-latn' => 'Megleno-Romanian (Latin script)',

	/* Not in CLDR 27.0.1. Shawiya language
	 * https://www.ethnologue.com/language/shy
	 */
	'shy' => 'Shawiya',
	'shy-arab' => 'Shawiya (Arabic script)',
	'shy-latn' => 'Shawiya (Latin script)',
	'shy-tfng' => 'Shawiya (Tifinagh script)',

	/* Not in CLDR 27.0.1. Used for MediaWiki localisation
	 */
	'bat-smg' => 'Samogitian',
	'be-tarask' => 'Belarusian (Taraškievica orthography)',
	'cdo' => 'Min Dong Chinese',
	'crh-cyrl' => 'Crimean Turkish (Cyrillic script)',
	'crh-latn' => 'Crimean Turkish (Latin script)',
	'de-formal' => 'German (formal address)',
	'gan-hans' => 'Simplified Gan script',
	'gan-hant' => 'Traditional Gan script',
	'hif-latn' => 'Fiji Hindi (Latin script)',
	'ike-cans' => 'Eastern Canadian (Aboriginal syllabics)',
	'ike-latn' => 'Eastern Canadian (Latin script)',
	'kk-cn' => 'Kazakh (China)',
	'kk-kz' => 'Kazakh (Kazakhstan)',
	'kk-tr' => 'Kazakh (Turkey)',
	'kk-arab' => 'Kazakh (Arabic script)',
	'kk-cyrl' => 'Kazakh (Cyrillic script)',
	'kk-latn' => 'Kazakh (Latin script)',
	'ks-arab' => 'Kashmiri (Arabic script)',
	'ks-deva' => 'Kashmiri (Devanagari script)',
	'ku-latn' => 'Kurdish (Latin script)',
	'roa-rup' => 'Aromanian',
	'sr-ec' => 'Serbian (Cyrillic script)',
	'sr-el' => 'Serbian (Latin script)',
	'tg-cyrl' => 'Tajik (Cyrillic script)',
	'tg-latn' => 'Tajik (Latin script)',
	'tt-cyrl' => 'Tatar (Cyrillic script)',
	'tt-latn' => 'Tatar (Latin script)',
	'ug-arab' => 'Uyghur (Arabic script)',
	'ug-latn' => 'Uyghur (Latin script)',
	'ydd' => 'Eastern Yiddish',
	'zh-classical' => 'Classical Chinese',
	'zh-cn' => 'Chinese (China)',
	'zh-hk' => 'Chinese (Hong Kong)',
	'zh-min-nan' => 'Chinese (Min Nan)',
	'zh-sg' => 'Chinese (Singapore)',
	'zh-tw' => 'Chinese (Taiwan)',
	'zh-yue' => 'Cantonese', # language redirect

	/* Upper case in CLDR, but should be lower case
	 * http://unicode.org/cldr/trac/ticket/9664
	 */
	'mul' => 'multiple languages',
	'und' => 'unknown language',
	'zxx' => 'no linguistic content',
];
